/*
 * @(#)ISO2022_JP_2.java        1.2 05/11/17
 *
 * Copyright 2006 Sun Microsystems, Inc. All rights reserved.
 * SUN PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 *
 * Contributors: Ulf Zibis, Germany, Ulf.Zibis @ CoSoCo.de
 */

package sun.nio.cs.ext;

import java.nio.charset.Charset;

public class ISO2022_JP_2 extends ISO2022_JP {

    public ISO2022_JP_2(String canonicalName, String... aliases) {
        super(canonicalName, aliases);
    }

    public String historicalName() {
        return "ISO2022JP2";
    }

    public boolean contains(Charset cs) {
      return super.contains(cs) ||
             (cs instanceof JIS_X_0212) ||
             (cs instanceof ISO2022_JP_2);
    }

    protected DoubleByteDecoder get0212Decoder() {
        return new JIS_X_0212_Decoder(this); // TODO: only used stateless, so could be static final ?
    }

    protected DoubleByteEncoder get0212Encoder() {
        return new JIS_X_0212_Encoder(this); // TODO: only used stateless, so could be static final ?
    }
}
